#
# spec file for package linphone
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           linphone
Version:        3.4.3
%define soname  4
%define mstr_version 2.7.3
%define mstr_soname  1
%define ortp_version 0.16.5
%define ortp_soname  8
Release:        5.2
License:        GNU General Public License version 2 or later (GPLv2+)
Summary:        Web Phone
Url:            http://www.linphone.org
Group:          Productivity/Networking/Other
# http://download-mirror.savannah.gnu.org/releases/linphone/3.4.x/sources/linphone-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.bz2
Source1:       history-orange.png
Patch1:         linphone-XvShmCreateImage.patch
Source99:       linphone-rpmlintrc
BuildRequires:  gcc-c++
BuildRequires:  gnome-panel-devel
BuildRequires:  gnutls-devel
BuildRequires:  intltool
BuildRequires:  libeXosip2-devel
BuildRequires:  libosip2-devel
BuildRequires:  libv4l-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  libglade2-devel
BuildRequires:  readline-devel
BuildRequires:  speex-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  alsa-devel
BuildRequires:  libSDL-devel
BuildRequires:  libgsm-devel
BuildRequires:  libogg-devel
BuildRequires:  libtheora-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  update-desktop-files
Requires:       liblinphone%{soname} = %{version}
Requires:       libmediastreamer%{mstr_soname} = %{mstr_version}
Requires:       libortp%{ortp_soname} = %{ortp_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Linphone is a Web phone with a GNOME interface. It lets you make
two-party calls over IP networks such as the Internet. It uses the IETF
protocols SIP (Session Initiation Protocol) and RTP (Realtime TransporT
Protocol) to make calls, so it should be able to communicate with other
SIP-based Web phones. With several codecs available, it can be used
with high speed connections as well as 28k modems.

%package applet
Summary:        Web Phone
License:        GNU General Public License version 2 or later (GPLv2+)
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description applet
Linphone is a Web phone with a GNOME interface. It let you make
two-party calls over IP networks such as the Internet. It uses the IETF
protocols SIP (Session Initiation Protocol) and RTP (Realtime TransporT
Protocol) to make calls, so it should be able to communicate with other
SIP-based Web phones. With several codecs available, it can be used
with high speed connections as well as 28k modems.

%package devel
Summary:        Web Phone
License:        GNU General Public License version 2 or later (GPLv2+)
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       alsa-devel
Requires:       glibc-devel
Requires:       libeXosip2-devel
Requires:       libosip2-devel
Requires:       pkgconfig(glib-2.0)
Requires:       speex-devel
Requires:       libmediastreamer-devel = %{mstr_version}
Requires:       libortp-devel = %{ortp_version}

%description devel
Linphone is a Web phone with a GNOME interface. It lets you make
two-party calls over IP networks such as the Internet. It uses the IETF
protocols SIP (Session Initiation Protocol) and RTP (Realtime TransporT
Protocol) to make calls, so it should be able to communicate with other
SIP-based Web phones. With several codecs available, it can be used
with high speed connections as well as 28k modems.

%package -n liblinphone%{soname}
Summary:        Linphone runtime library
Group:          System/Libraries

%description -n liblinphone%{soname}
Linphone is a Web phone with a GNOME interface. It lets you make
two-party calls over IP networks such as the Internet. It uses the IETF
protocols SIP (Session Initiation Protocol) and RTP (Realtime TransporT
Protocol) to make calls, so it should be able to communicate with other
SIP-based Web phones. With several codecs available, it can be used
with high speed connections as well as 28k modems.

This package contains the runtime library.

%package -n libortp%{ortp_soname}
Summary:        RTP Protocol Library
Version:        %{ortp_version}
Group:          System/Libraries
License:        GNU Lesser General Public License version 2.1 or later (LGPLv2.1+)
Provides:       liboRTP%{ortp_soname} = %{version}

%description -n libortp%{ortp_soname}
oRTP is a LGPL licensed C library implementing the RTP protocol (rfc3550).

%package -n libortp-devel
Summary:        RTP Protocol Library
Version:        %{ortp_version}
Group:          Development/Libraries/C and C++
License:        GNU Lesser General Public License version 2.1 or later (LGPLv2.1+)
Provides:       liboRTP-devel = %{version}
Requires:       gnutls-devel
Requires:       glibc-devel
Requires:       libortp%{ortp_soname} = %{ortp_version}

%description -n libortp-devel
oRTP is a LGPL licensed C library implementing the RTP protocol (rfc3550).

%package -n libmediastreamer%{mstr_soname}
Summary:        Modular Sound and Video Processing and Streamling Library
Version:        %{mstr_version}
Group:          System/Libraries
License:        GNU General Public License version 2 or later (GPLv2+)
Requires:       libortp%{ortp_soname} = %{ortp_version}

%description -n libmediastreamer%{mstr_soname}
Mediastreamer2 is a GPL licensed library to make audio and video real-time
streaming and processing. Written in pure C, it is based upon the ortp library.

%package -n libmediastreamer-devel
Summary:        Modular Sound and Video Processing and Streamling Library
Version:        %{mstr_version}
Group:          Development/Libraries/C and C++
License:        GNU General Public License version 2 or later (GPLv2+)
Requires:       libmediastreamer%{mstr_soname} = %{mstr_version}
Requires:       libortp%{ortp_soname} = %{ortp_version}
Requires:       alsa-devel
Requires:       ffmpeg-devel
Requires:       libgsm-devel
Requires:       speex-devel
Requires:       SDL-devel
Requires:       libogg-devel
Requires:       libtheora-devel
Requires:       xorg-x11-devel

%description -n libmediastreamer-devel
Mediastreamer2 is a GPL licensed library to make audio and video real-time
streaming and processing. Written in pure C, it is based upon the ortp library.

%prep
%setup -q
%if 0%{?suse_version} < 1130
%patch1
%endif

# patch cannot handle binaries
%__cp "%{SOURCE1}" pixmaps/history-orange.png
find -name "CVS" -type d | xargs %__rm -rfv

find . -name configure -type f | xargs %__sed -i 's/-Werror//'

%build
# needed for linphone-1.3.0:
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure\
    --disable-silent-rules \
	--libexecdir="%{_prefix}/lib/gnome-panel" \
    --disable-rpath \
    --enable-console_ui=yes \
    --disable-relativeprefix \
    --disable-date \
    --enable-ipv6 \
    --enable-nonstandard-gsm \
    --enable-rsvp \
    --enable-ssl \
    --enable-video \
    --enable-alsa \
    --disable-static

#--enable-external-ortp \
#--enable-external-mediastreamer \

%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

# FIXME: Upstream bug: Use GNOME2-style desktop files instead of GNOME1-style.
# install desktop file
%suse_update_desktop_file -D "linphone/index.xml.html" -G "SIP Phone" %{name} Network Telephony
%find_lang %{name}
# delete unused man pages
%__rm -rf %{buildroot}%{_mandir}/cs/
# no need to package la files
%__rm -f %{buildroot}%{_libdir}/*.*a

%__cp -a ./pixmaps/linphone-3.png %{buildroot}%{_datadir}/linphone/linphone2.png

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n liblinphone%{soname}           -p /sbin/ldconfig
%postun -n liblinphone%{soname}           -p /sbin/ldconfig
%post   -n libmediastreamer%{mstr_soname} -p /sbin/ldconfig
%postun -n libmediastreamer%{mstr_soname} -p /sbin/ldconfig
%post   -n libortp%{ortp_soname}          -p /sbin/ldconfig
%postun -n libortp%{ortp_soname}          -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/linphone
%{_bindir}/linphonec
%{_bindir}/linphonecsh
%{_datadir}/linphone
%{_datadir}/sounds/linphone
%{_datadir}/pixmaps/linphone
%{_datadir}/applications/linphone.desktop
%dir %{_datadir}/images
%{_datadir}/images/nowebcamCIF.jpg
%doc %dir %{_datadir}/tutorials
%doc %dir %{_datadir}/tutorials/linphone
%doc %{_datadir}/tutorials/linphone/*
%doc %{_mandir}/man1/linphone.1%{ext_man}
%doc %{_mandir}/man1/linphonec.1%{ext_man}
%doc %{_mandir}/man1/linphonecsh.1%{ext_man}
%doc %{_mandir}/man1/sipomatic.1%{ext_man}

%files -n liblinphone%{soname}
%defattr(-,root,root)
%{_libdir}/liblinphone.so.%{soname}
%{_libdir}/liblinphone.so.%{soname}.*

%files applet
%defattr(-,root,root)
#%{_libdir}/bonobo/servers/*.server
%{_prefix}/lib/gnome-panel

%files devel
%defattr(-,root,root)
%{_includedir}/linphone
%{_libdir}/liblinphone.so
%{_libdir}/pkgconfig/linphone.pc

%files -n libmediastreamer%{mstr_soname}
%defattr(-,root,root)
%{_libdir}/libmediastreamer.so.%{mstr_soname}
%{_libdir}/libmediastreamer.so.%{mstr_soname}.*

%files -n libmediastreamer-devel
%defattr(-,root,root)
%{_includedir}/mediastreamer2
%{_libdir}/libmediastreamer.so
%{_libdir}/pkgconfig/mediastreamer.pc

%files -n libortp%{ortp_soname}
%defattr(-,root,root)
%{_libdir}/libortp.so.%{ortp_soname}
%{_libdir}/libortp.so.%{ortp_soname}.*

%files -n libortp-devel
%defattr(-,root,root)
%{_includedir}/ortp
%{_libdir}/libortp.so
%{_libdir}/pkgconfig/ortp.pc

%changelog
* Wed Apr 20 2011 pascal.bleser@opensuse.org
- previous package was erroneously overwriting the actual binary with
  a dead symlink, fixed, thanks to Johannes Pfeffer for reporting
* Sun Jan 16 2011 seife+obs@b1-systems.com
- Patch up to current git state of branch 3.3.x. Unfortunately,
  the git history is not helpful to create a changelog.
  But this fixes bnc#664808.
* Wed Dec 29 2010 aj@suse.de
- Run spec file through spec-cleaner.
- Remove build dependencies on libgnomeprintui-devel and
  libwnck-devel, they are not needed.
* Thu Nov 11 2010 coolo@novell.com
- own parent directory for gnome-panel
* Wed Aug 11 2010 ro@suse.de
- update to linphone-3.3.2
  * enhancements made to presence support (SIP/SIMPLE)
  * be nat friendly using OPTIONS request and using received,rport from
  responses.
  * use stun guessed ports even if symmetric is detected (works with freeboxes)
  * improve bitrate usage of speex codec
  * allow speex to run with vbr (variable bit rate) mode
  * add speex/32000 (ultra wide band speex codec)
  * answer empty SIP INFO requests
  * reverse order of call logs
  * optimize video display
  * manual or automatic network connectivity management (so that REGISTERs
  are only sent when network is up or refreshed when it comes back)
  * new in-call layout
  * new idle view with two buttons
  * ability to dial the number from dialpad
  * improve local IP address detection when having multiple networks (ex: VPNs)
  * use proxy's received and rport params from via in Contact header when possible
  * add an option to ask linphone to place a call, whenever an instance is already running or not:
  should be useful for starting calls from a web browser recognizing the 'sip:' uri scheme.
  * don't show ffmpeg codecs when encoder are disabled in ffmpeg library.
  * update theora default settings to match performance of 1.0 release.
  * linphone can now send large video pictures: up to SVGA, configurable via the user interface
  * automatic rescaling of the video windows to the video size of incoming stream
  * enable lookups of SRV records
  * new 'linphonecsh' program to send commands to a linphonec running as daemon using unix sockets or tcp.
  - tons of bugfixes, please see NEWS file for details
- update to version 3.0.0
  * new graphical interface based on Glade/Gtk
  * systray icon
  * STUN working for RTP
  * accurate bandwidth management (to let video occupy all remaning bandwidth)
  * new H264 plugin based on x264 (msx264)
  * automatic call hangup upon media transmission faillure
* Wed Dec  2 2009 coolo@novell.com
- update patch to fix build
* Mon May 25 2009 hvogel@suse.de
- Translations update
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Sat Dec  6 2008 mauro@suse.de
- Translations update.
* Wed Oct 22 2008 hvogel@suse.de
- get rid of autoreconf call to make it build again
* Fri Apr 18 2008 hvogel@suse.de
- Hide online help button, we dont have an XML file to pass to
  gnome_help_display so its of no use.
* Thu Apr  3 2008 hvogel@suse.de
- update to version 2.1.1
  * Clean up commands 'nat', 'stun' and 'firewall' to be
    more intuitive
  * Upgrade to newest gettext
- fix some rpmlint warnings
- get rid of libtool archives
* Fri Jan 18 2008 mskibbe@suse.de
- portate to new libosip version
- fix typo in linphone-1.3.0.patch
* Wed Jan 16 2008 mskibbe@suse.de
- update to version 2.0.1 which
  o use new (eX)osip version
  o Clean ANSI/C vs. ANSI/C++ differences
  o fix a lot of small bugs
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Tue Sep  4 2007 mskibbe@suse.de
- update to versin 1.7.1:
  * arts sound input/output
  * improved sound latency with alsa
  * alsa support works with dmix/dsnoop
  * fix a lot of bugs
* Tue Jun 19 2007 mskibbe@suse.de
- disable Werror
* Wed May 16 2007 ro@suse.de
- use libosip2-devel in buildrequires
* Thu Mar  8 2007 mskibbe@suse.de
- add missing directories
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Thu Feb  8 2007 mskibbe@suse.de
- fix build problems
* Tue Jan 16 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Aug 10 2006 mskibbe@suse.de
- update to version 1.3.0 which includes
  o a lots of improvements in linphonec (see strk 's Changelogs below)
  o telephone event problem with sipomatic.
  o updated cz translation.
  o fix bugs around addressbook.
  o video support with H263-1998/RFC2429 nearly clean.
  o added timeout for incoming calls
* Sat Feb 18 2006 gekker@suse.de
- Update .desktop file for UI team
* Wed Feb 15 2006 stbinner@suse.de
- add GenericName to .desktop file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 hvogel@suse.de
- Update to version 1.2.0
* Fri Nov 11 2005 hvogel@suse.de
- care about return values. Added
  * linphone-returnchecks.patch
* Wed Oct  5 2005 hvogel@suse.de
- update to version 1.1.0 drop
  * linphone-manual.patch
  * linphone-cs_cz.patch
  * linphone-cs_cz-fixes.patch
  * linphone-configure.patch
* Fri Sep  9 2005 hvogel@suse.de
- update cz translation
* Fri Jul  8 2005 mmj@suse.de
- fix more prototypes
* Tue Jul  5 2005 mmj@suse.de
- fix unitialized vars
- fix prototypes
* Wed May 18 2005 ro@suse.de
- fix build with current pkgconfig
* Wed Apr 20 2005 hvogel@suse.de
- fix bonobo server file to include an icon
- fix desktop file to have both Name and GenericName
- fix return values
* Tue Mar 22 2005 max@suse.de
- Update to final 1.0.0 version, which is more stable (#74253).
* Tue Mar 22 2005 sbrabec@suse.cz
- Moved applet bonobo server description to linphone-applet.
* Tue Mar 22 2005 coolo@suse.de
- split the gnome applet into an own package (#74199)
* Thu Mar 17 2005 hvogel@suse.de
- fix desktop file
* Tue Feb 15 2005 ro@suse.de
- added czech translations by Klara Cihlarova
* Thu Feb  3 2005 hvogel@suse.de
- add the manual so the manual button works
* Mon Jan 24 2005 ro@suse.de
- mark as NoSource (ffmpeg is there but unused).
* Wed Jan 19 2005 ro@suse.de
- update to 1.0.0pre6
- fixed more compiler warnings
* Sun Nov 14 2004 ro@suse.de
- fix another compile warning
* Tue Nov  9 2004 ro@suse.de
- update to 1.0.0pre4
- split patch in pieces
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed applet broken by bad libdir usage.
- Fixed libexecdir for bi-arch (#47050).
* Wed Jul 28 2004 ro@suse.de
- update to 1.0.0pre1
* Wed May 19 2004 ro@suse.de
- update to 0.12.2
- fix some compiler warnings
* Tue Feb  3 2004 ro@suse.de
- use -fno-strict-aliasing
* Wed Jan 21 2004 ro@suse.de
- update to 0.12.1
- make it build
* Mon Oct 20 2003 ro@suse.de
- don't build as root
* Sat Aug 23 2003 ro@suse.de
- update to 0.12.0
* Tue Jul 29 2003 ro@suse.de
- install it all to /opt/gnome
* Thu Jul 17 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Added gnome-panel to neededforbuild.
* Wed Jun 11 2003 ro@suse.de
- fix desktop file path
* Wed Jun 11 2003 ro@suse.de
- libtoolize in osipua subdirectory for proper soname
* Tue Jun 10 2003 ro@suse.de
- created package (version 0.11.0)
- use system speex library
